
extern "C"
void CUDA_CreateMemoryArray(int imageW,int imageH);
extern "C"
void CUDA_BindTextureToArray();
extern "C"
void CUDA_MemcpyToArray(uchar4 *src,int imageW,int imageH);

extern "C"
void CUDA_BindTexture(uchar4 *Image_dev,int imageW,int imageH);

extern "C"
void CUDA_Difusion(uchar4 *ImageAux_dev,float lambda,float den,int imageW,int imageH,dim3 grid,dim3 threads);
	
extern "C"
void CUDA_FreeArrays();